using System;
using System.Collections.Generic;
using System.Text;

namespace MaxiBioWindowsApplication
{
    public class Film
    {
        #region felter for selve Film
        private string titel;
        private string genre;
        private string skuespillere;
        private string resume;
        private int varighed;
        private bool thx;
        #endregion

        #region properties og metoder selve Film klassen
        // Constructor:
        public Film(string titel, string genre, string skuespillere, string resume, int lngde, bool thx)
        {
            this.titel = titel;
            this.genre = genre;
            this.skuespillere = skuespillere;
            this.varighed = lngde;
            this.thx = thx;
            this.resume = resume;
        }
        public string Titel
        {
            get { return titel; }
            set { this.titel = value; }
        }
        public string Resume
        {
            get { return this.resume; }
            set { this.resume = value; }
        }

        public bool Thx
        {
            get { return this.thx; }
            set { this.thx = value; }
        }

        public int Varighed
        {
            get { return this.varighed; }
            set { this.varighed = value; }
        }

        public string Skuespillere
        {
            get { return this.skuespillere; }
            set { this.skuespillere = value; }
        }

        public string Genre
        {
            get { return this.genre; }
            set { this.genre = value; }
        }

        public override string ToString()
        {
            if (this.thx)
                return this.titel+";"+this.genre+";"+this.varighed;
            return this.titel + ";" + this.genre + ";" + this.varighed+";thx";
        }

        #endregion
    }
}
